Description: Seed the random number generator with the SOURCE_DATE_EPOCH environment variable if it's set
Author: Chris Lamb <lamby@debian.org>
Origin: vendor, https://bugs.debian.org/cgi-bin/bugreport.cgi?att=1;bug=845055;filename=markdown.diff.txt;msg=5
Bug-Debian: https://bugs.debian.org/845055
Forwarded: no
Reviewed-by: Matt Kraai <kraai@debian.org>
Last-Update: 2016-11-19
---
 Markdown.pl | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/Markdown.pl b/Markdown.pl
index cc52c66..9264381 100755
--- a/Markdown.pl
+++ b/Markdown.pl
@@ -1208,7 +1208,7 @@ sub _EncodeEmailAddress {
 
 	my $addr = shift;
 
-	srand;
+	srand ($ENV{SOURCE_DATE_EPOCH} || time);
 	my @encode = (
 		sub { '&#' .                 ord(shift)   . ';' },
 		sub { '&#x' . sprintf( "%X", ord(shift) ) . ';' },
-- 
2.43.0

